Package org.apache.solr.client.solrj

## Class JacksonParsingResponse<T>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SimpleSolrResponse
    - - org.apache.solr.client.solrj.JacksonParsingResponse<T>

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `AliasesApi.CreateAliasResponse`, `AliasesApi.DeleteAliasResponse`, `AliasesApi.GetAliasByNameResponse`, `AliasesApi.GetAliasesResponse`, `AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse`, `AliasPropertiesApi.DeleteAliasPropertyResponse`, `AliasPropertiesApi.GetAliasPropertyResponse`, `AliasPropertiesApi.GetAllAliasPropertiesResponse`, `AliasPropertiesApi.UpdateAliasPropertiesResponse`, `ClusterApi.BalanceReplicasResponse`, `ClusterApi.MigrateReplicasResponse`, `ClusterPropertiesApi.CreateOrUpdateClusterPropertyResponse`, `ClusterPropertiesApi.CreateOrUpdateNestedClusterPropertyResponse`, `ClusterPropertiesApi.DeleteClusterPropertyResponse`, `ClusterPropertiesApi.GetClusterPropertyResponse`, `ClusterPropertiesApi.ListClusterPropertiesResponse`, `CollectionBackupsApi.CreateCollectionBackupResponse`, `CollectionBackupsApi.DeleteMultipleBackupsByRecencyResponse`, `CollectionBackupsApi.DeleteSingleBackupByIdResponse`, `CollectionBackupsApi.GarbageCollectUnusedBackupFilesResponse`, `CollectionBackupsApi.ListBackupsAtLocationResponse`, `CollectionBackupsApi.RestoreCollectionResponse`, `CollectionPropertiesApi.CreateOrUpdateCollectionPropertyResponse`, `CollectionPropertiesApi.DeleteCollectionPropertyResponse`, `CollectionsApi.BalanceShardUniqueResponse`, `CollectionsApi.CreateCollectionResponse`, `CollectionsApi.DeleteCollectionResponse`, `CollectionsApi.GetCollectionStatusResponse`, `CollectionsApi.ListCollectionsResponse`, `CollectionsApi.ReloadCollectionResponse`, `CollectionsApi.RenameCollectionResponse`, `CollectionSnapshotsApi.CreateCollectionSnapshotResponse`, `CollectionSnapshotsApi.DeleteCollectionSnapshotResponse`, `CollectionSnapshotsApi.ListSnapshotsResponse`, `ConfigsetsApi.CloneExistingConfigSetResponse`, `ConfigsetsApi.DeleteConfigSetResponse`, `ConfigsetsApi.ListConfigSetResponse`, `ConfigsetsApi.UploadConfigSetFileResponse`, `ConfigsetsApi.UploadConfigSetResponse`, `CoreBackupsApi.CreateBackupResponse`, `CoresApi.InstallCoreDataResponse`, `CoresApi.MergeIndexesResponse`, `CoresApi.ReloadCoreResponse`, `CoresApi.RenameCoreResponse`, `CoresApi.RestoreCoreResponse`, `CoresApi.SwapCoresResponse`, `CoresApi.UnloadCoreResponse`, `CoreSnapshotsApi.CreateSnapshotResponse`, `CoreSnapshotsApi.DeleteSnapshotResponse`, `CoreSnapshotsApi.ListSnapshots1Response`, `FileStoreApi.DeleteFileResponse`, `FileStoreApi.FetchFileResponse`, `FileStoreApi.GetMetadataResponse`, `FileStoreApi.SyncFileResponse`, `FileStoreApi.UploadFileResponse`, `LoggingApi.FetchLocalLogMessagesResponse`, `LoggingApi.ListAllLoggersAndLevelsResponse`, `LoggingApi.ModifyLocalLogLevelResponse`, `LoggingApi.SetMessageThresholdResponse`, `NodeApi.DeleteNodeResponse`, `NodeApi.GetCommandStatusResponse`, `NodeApi.GetPublicKeyResponse`, `NodeApi.ReplaceNodeResponse`, `QueryingApi.JsonQueryResponse`, `QueryingApi.QueryResponse`, `ReplicaPropertiesApi.AddReplicaPropertyResponse`, `ReplicaPropertiesApi.DeleteReplicaPropertyResponse`, `ReplicasApi.CreateReplicaResponse`, `ReplicasApi.DeleteReplicaByNameResponse`, `ReplicasApi.DeleteReplicasByCountAllShardsResponse`, `ReplicasApi.DeleteReplicasByCountResponse`, `ReplicationApi.FetchFileListResponse`, `ReplicationApi.FetchIndexVersionResponse`, `ReplicationBackupsApi.CreateBackup1Response`, `SchemaApi.GetDynamicFieldInfoResponse`, `SchemaApi.GetFieldInfoResponse`, `SchemaApi.GetFieldTypeInfoResponse`, `SchemaApi.GetSchemaInfoResponse`, `SchemaApi.GetSchemaNameResponse`, `SchemaApi.GetSchemaSimilarityResponse`, `SchemaApi.GetSchemaUniqueKeyResponse`, `SchemaApi.GetSchemaVersionResponse`, `SchemaApi.GetSchemaZkVersionResponse`, `SchemaApi.ListCopyFieldsResponse`, `SchemaApi.ListDynamicFieldsResponse`, `SchemaApi.ListSchemaFieldsResponse`, `SchemaApi.ListSchemaFieldTypesResponse`, `SegmentsApi.GetSegmentDataResponse`, `ShardsApi.CreateShardResponse`, `ShardsApi.DeleteShardResponse`, `ShardsApi.ForceShardLeaderResponse`, `ShardsApi.InstallShardDataResponse`, `ShardsApi.SyncShardResponse`, `ZookeeperReadApi.ListNodesResponse`

    public class JacksonParsingResponse<T>
    extends SimpleSolrResponse

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.response.SimpleSolrResponse

`elapsedTime, nl`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`JacksonParsingResponse​(Class<T> typeParam)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getParsed()`

### Methods inherited from class org.apache.solr.client.solrj.response.SimpleSolrResponse

`getElapsedTime, getResponse, setElapsedTime, setResponse`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _get, _getStr, _getStr, _getStr, _size`

### Constructor Detail

#### JacksonParsingResponse

    public JacksonParsingResponse​(Class<T> typeParam)

### Method Detail

#### getParsed

    public T getParsed()